package humanize.time.joda;

/**
 * Joda time format and variant name constants.
 * 
 */
public interface FormatNames {

	static final String JODA_ISO_BASIC_TIME_NO = "basic.time.no";
	static final String JODA_ISO_BASIC_TIME = "basic.time";
	static final String JODA_ISO_BASIC_DATE = "basic.date";
	static final String JODA_ISO_DATE_TIME_NO = "date.time.no";
	static final String JODA_ISO_DATE_TIME = "date.time";
	static final String JODA_ISO_TIME_NO = "time.no";
	static final String JODA_ISO_TIME = "time";
	static final String JODA_ISO_ORDINAL_DATE_TIME_NO = "ordinal.date.time.no";
	static final String JODA_ISO_ORDINAL_DATE_TIME = "ordinal.date.time";
	static final String JODA_ISO_ORDINAL_DATE = "ordinal.date";
	static final String JODA_ISO_BASIC_DATE_TIME_NO = "basic.date.time.no";
	static final String JODA_ISO_BASIC_DATE_TIME = "basic.date.time";
	static final String JODA_ISO_BASIC_WEEK_DATE_TIME_NO = "basic.week.date.time.no";
	static final String JODA_ISO_BASIC_WEEK_DATE_TIME = "basic.week.date.time";
	static final String JODA_ISO_BASIC_WEEK_DATE = "basic.week.date";
	static final String JODA_ISO_BASIC_ORDINAL_DATE_TIME_NO = "basic.ordinal.date.time.no";
	static final String JODA_ISO_BASIC_ORDINAL_DATE_TIME = "basic.ordinal.date.time";
	static final String JODA_ISO_BASIC_ORDINAL_DATE = "basic.ordinal.date";
	static final String JODA_ISO_DATE_HOUR_MINUTE_SECOND_FRACTION = "date.hour.minute.second.fraction";
	static final String JODA_ISO_DATE_HOUR_MINUTE_SECOND_MILLIS = "date.hour.minute.second.millis";
	static final String JODA_ISO_DATE_HOUR_MINUTE_SECOND = "date.hour.minute.second";
	static final String JODA_ISO_DATE_HOUR_MINUTE = "date.hour.minute";
	static final String JODA_ISO_DATE_HOUR = "date.hour";
	static final String JODA_ISO_HOUR_MINUTE_SECOND_FRACTION = "hour.minute.second.fraction";
	static final String JODA_ISO_HOUR_MINUTE_SECOND_MILLIS = "hour.minute.second.millis";
	static final String JODA_ISO_HOUR_MINUTE_SECOND = "hour.minute.second";
	static final String JODA_ISO_HOUR_MINUTE = "hour.minute";
	static final String JODA_ISO_HOUR = "hour";
	static final String JODA_ISO_WEEKYEAR_WEEK_DAY = "weekyear.week.day";
	static final String JODA_ISO_WEEKYEAR_WEEK = "weekyear.week";
	static final String JODA_ISO_WEEKYEAR = "weekyear";
	static final String JODA_ISO_YEAR_MONTH_DAY = "year.month.day";
	static final String JODA_ISO_YEAR_MONTH = "year.month";
	static final String JODA_ISO_YEAR = "year";

	static final String JODA_FULL_DATE_TIME = "full.date.time";
	static final String JODA_FULL_TIME = "full.time";
	static final String JODA_FULL_DATE = "full.date";
	static final String JODA_LONG_DATE_TIME = "long.date.time";
	static final String JODA_LONG_TIME = "long.time";
	static final String JODA_LONG_DATE = "long.date";
	static final String JODA_MEDIUM_DATE_TIME = "medium.date.time";
	static final String JODA_MEDIUM_TIME = "medium.time";
	static final String JODA_MEDIUM_DATE = "medium.date";
	static final String JODA_SHORT_DATE_TIME = "short.date.time";
	static final String JODA_SHORT_TIME = "short.time";
	static final String JODA_SHORT_DATE = "short.date";

	static final String ISO_PERIOD_ALTERNATE_EXTENDED_WITH_WEEKS = "alternate.extended.with.weeks";
	static final String ISO_PERIOD_ALTERNATE_WITH_WEEKS = "alternate.with.weeks";
	static final String ISO_PERIOD_ALTERNATE_EXTENDED = "alternate.extended";
	static final String ISO_PERIOD_ALTERNATE = "alternate";

	static final String FORMAT_JODA_ISO_TIME = "joda.iso.time";
	static final String FORMAT_JODA_TIME = "joda.time";
	static final String FORMAT_JODA_ISO_PERIOD = "joda.iso.period";
	static final String FORMAT_JODA_PERIOD = "joda.period";

	static final String DEFAULT = "default";

}
